maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Julien HENRY <henr...@yahoo.fr>
Subject Re : Maven 3 alpha status
Date Fri, 29 Jan 2010 15:33:27 GMT
Hi,

The bug is something similar to [1] (at leat same error message except the type is xml.zip
in my case). The EAR module is building fine alone, but as soon as I launch a full reactor
build, the build fails.
Running with -X show the dependency is in the EAR plugin classpath but it should not be the
case.

The xml.zip dependency is used in that way:

pom (of a transitive dependency of EAR module)
<plugin>
   <artifactId>andromda-maven-plugin</artifactId>
   <dependencies>
     <artifactId>foo</artifactId>
     <type>xml.zip</type>
   </dependencies>
</plugin>

Do you think there is a chance this issue will be fixed in Maven 2.2.x? I fear the answer
will be => fixed in Maven 3...


[1] http://www.mail-archive.com/users@maven.apache.org/msg94040.html



----- Message d'origine ----
> De : Stephane Nicoll <stephane.nicoll@gmail.com>
> À : Maven Developers List <dev@maven.apache.org>
> Envoyé le : Ven 29 Janvier 2010, 15 h 14 min 59 s
> Objet : Re: Maven 3 alpha status
> 
> Which bug are your talking about? Have you filled something in Jira?
> 
> S.
> 
> On Fri, Jan 29, 2010 at 12:08 PM, Julien HENRY wrote:
> 
> > Hi,
> >
> > Yesterday I spend 2 hours fixing a nasty bug with EAR plugin and dependency
> > with type "xml.zip". This dependency was declared in another module of the
> > reactor, and was a dependency of a plugin (maven-andromda-plugin). So there
> > is no reason that the ear plugin "see" this dependency.
> > As I read Maven 3 is much more precise dealing with plugin classpath and
> > dependencies, I asked the project leader to try with Maven 3 alpha 6.
> > Hourra! It worked fine.
> >
> > So I told the project to migrate to Maven 3 but the project leader was
> > reluctant as it is flagged as "alpha".
> >
> > As it seems many Maven guys say Maven 3 alpha 6 is much better than Maven
> > 2.2.1, could you please for next release use a version with a "higher"
> > qualifier that will not afraid corporate people. IMHO "beta" will face the
> > same issue, so I suggest "rc" or something like that.
> >
> > Best regards,
> >
> > Julien
> >
> >
> >
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> > For additional commands, e-mail: dev-help@maven.apache.org
> >
> >
> 
> 
> -- 
> Large Systems Suck: This rule is 100% transitive. If you build one, you
> suck" -- S.Yegge



      

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message